Table of Contents

## Name

XtErrorMsg, XtSetErrorMsgHandler, XtWarningMsg, XtSetWarningMsgHandler - high-level error handlers

## Syntax

void XtErrorMsg(String name, String type, String class,
  String default, String *params, Cardinal *num_params);
void XtSetErrorMsgHandler(XtErrorMsgHandler msg_handler);
void XtSetWarningMsgHandler(XtErrorMsgHandler msg_handler);
void XtWarningMsg(String name, String type, String class,
  String default, String *params, Cardinal *num_params);

## Arguments

Specifies the resource classCl.

Specifies the default message to useDm.

Specifies the general kind of error.

Specifies the detailed name of the error. or the nonfatal error procedure, which usually returns

Specifies the new fatal error procedure, which should not return.

Specifies the number of values in the parameter list.

Specifies a pointer to a list of values to be stored in the message.

## Description

The XtErrorMsg function has been superceded by XtAppErrorMsg.

The XtSetErrorMsgHandler function has been superceded by XtAppSetErrorMsgHandler.

The XtSetWarningMsgHandler function has been superceded by XtAppSetWarningMsgHandler.

The XtWarningMsg function has been superceded by XtAppWarningMsg

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also